/* FichothequeLib_API - Copyright (c) 2011-2022 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.extraction.def;

import java.util.List;
import net.mapeadores.util.annotation.Nullable;


/**
 *
 * @author Vincent Calame
 */
public interface ExtractionDef {

    public TagNameInfo getTagNameInfo();

    @Nullable
    public CorpusExtractDef getDynamicCorpusExtractDef();

    @Nullable
    public ThesaurusExtractDef getDynamicThesaurusExtractDef();

    public TagNameInfo getStaticTagNameInfo();

    public List<CorpusExtractDef> getStaticCorpusExtractDefList();

    public List<ThesaurusExtractDef> getStaticThesaurusExtractDefList();


}
